Subject: Linux-Activists - DOC Channel digest. 93-6-22-23:29
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Fri, 23 Jul 1993 07:32:12 +0300

Topics:
	 CONFORMING TO wars ... :)

----------------------------------------------------------------------

From: [email-masked] (Dan Miner)
Subject: CONFORMING TO wars ... :)
Date: Fri, 23 Jul 1993 02:16:14 +0300

	In a galaxy far, far away.... *music*

According to Linux Activists:
> *** FLAME ON ***
> 
> For some reason, we have decided to have a "CONFORMING TO" field on our man
> pages.  I think this field should actually *mean* something.  For example,
> consider brk(2).  It conforms to everything:
> 
>     SVID, AT&T, POSIX, X/OPEN OPT, BSD 4.3
> 
> This is useless: I don't know what AT&T means, and I don't know how X/OPEN
> effects my life.  I think POSIX, BSD, and System V are sufficient (POSIX.1
> includes the C Standard).
> 
> This example is also *WRONG*: POSIX.1 and the C Standard SPECIFICALLY
> EXCLUDE BRK(2) from their definitions (see paragraphs B.1.1.1.3 and B.8.3.3
> of POSIX.1 for an explaination).  Further, the man page as written (which
> did not describe the actual behavior of the function when called from a
> user-level program) did not conform to BSD 4.3, and probably didn't conform
> to anything else, since it was so wrong -- no one implements brk(2) the way
> the man page said Linux implemented it.  Clearly, whoever put the
> CONFORMING TO section into brk(2) didn't check any standards.
> 

	I agree.  The content is very important.  BUT if and only if
you know for sure, it will be valuable to people trying to write
"portable" code for other systems.  I'm writing section 9.  I'm
dealing with the implementation of these "standards".  But I'd like
to know if using function F has a good chance of working on system
XYZ that I know follows standard A... :)

So, don't put it in the page if you have any doubts (meaning, look it
up!)

Anyone else with some matches?
	Dan

-- 
Dan Miner ([email-masked])

Hackers' Guide Coordinator for Linux
"It all begins with a glimmer."

------------------------------

End of DOC Digest
*****************
-------